org.apache.cassandra.cql3.functions

## Class TokenFct

- java.lang.Object
- - org.apache.cassandra.cql3.functions.AbstractFunction
  - - org.apache.cassandra.cql3.functions.NativeFunction
    - - org.apache.cassandra.cql3.functions.NativeScalarFunction
      - - org.apache.cassandra.cql3.functions.TokenFct

- All Implemented Interfaces:
    AssignmentTestable, Function, ScalarFunction

      public class TokenFct
      extends NativeScalarFunction

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `AssignmentTestable.TestResult`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.functions.AbstractFunction

      `argTypes, name, returnType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenFct(CFMetaData cfm)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.nio.ByteBuffer` | `execute(ProtocolVersion protocolVersion, java.util.List<java.nio.ByteBuffer> parameters)` Applies this function to the specified parameter.

    - ### Methods inherited from class org.apache.cassandra.cql3.functions.NativeScalarFunction

      `isAggregate, isCalledOnNullInput`

    - ### Methods inherited from class org.apache.cassandra.cql3.functions.NativeFunction

      `isNative`

    - ### Methods inherited from class org.apache.cassandra.cql3.functions.AbstractFunction

      `addFunctionsTo, argTypes, columnName, equals, hashCode, hasReferenceTo, name, returnType, testAssignment, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.cql3.functions.Function

      `addFunctionsTo, argTypes, columnName, hasReferenceTo, isNative, name, returnType`

    - ### Methods inherited from interface org.apache.cassandra.cql3.AssignmentTestable

      `testAssignment`

- - ### Constructor Detail

    - #### TokenFct

          public TokenFct(CFMetaData cfm)

  - ### Method Detail

    - #### execute

          public java.nio.ByteBuffer execute(ProtocolVersion protocolVersion,
                                             java.util.List<java.nio.ByteBuffer> parameters)
                                      throws InvalidRequestException

      Description copied from interface: `ScalarFunction`
      Applies this function to the specified parameter.
      Parameters:
        `protocolVersion` - protocol version used for parameters and return value
        `parameters` - the input parameters
      Returns:
        the result of applying this function to the parameter
      Throws:
        `InvalidRequestException` - if this function cannot not be applied to the parameter

Copyright © 2018 The Apache Software Foundation